__gnu_profile::__trace_hash_func Class Reference
Inheritance diagram for __gnu_profile::__trace_hash_func:
[legend]

## Public Member Functions

void | __add_object (__object_t object, __hashfunc_info__info)
void | __collect_warnings (__warning_vector_t &__warnings)
void | __destruct (const void *__obj, std::size_t __chain, std::size_t __accesses, std::size_t __hops)
__hashfunc_info * | __get_object_info (__object_t __object)
void | __insert (__object_t __obj, __stack_t __stack)
void | __retire_object (__object_t __object)
void | __write (FILE *__f)

## Protected Attributes

const char * | __id

## Detailed Description

Hash performance instrumentation producer.

Definition at line 105 of file profiler_hash_func.h.

The documentation for this class was generated from the following file:

- profiler_hash_func.h